[Okta Webinar] Learn how to a build a cloud-first strategyRegister Now

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 652
  • Last Modified:

New Comodo certificate. New installation required for current users of VB.NET app?

Hi there,

Our Comodo code signing cert has expired so obviously I need to purchase a new one.

I'm wondering that although I have to sign the ClickOnce and assemblies with the new certificate for new installations (and I've some changes to make to the code anyway for an upgrade) will current users need to re-install the newly signed program or will the ClickOnce app be able to pick up the upgrade?

In otherwords current users have version 1.1 of our software installed say. Version 1.2 will be signed with a new Comodo certificate. Will version 1.1 of the code pick up the 1.2 upgrade or will users need to go for a fresh installation of version 1.2?

Regards,
Nicola.
0
NicolaT
Asked:
NicolaT
1 Solution
 
grayeCommented:
Here is an article that explains the problem and how to fix it
http://blogs.msdn.com/danielma/archive/2007/03/19/clickonce-and-expired-certificates.aspx 
0
 
NicolaTAuthor Commented:
Brilliant, Graye. I'll have a read and check it out. Once I know there's a workaround I should be able to figure it out. Thanks for responding.

Nicola.
0

Featured Post

A Cyber Security RX to Protect Your Organization

Join us on December 13th for a webinar to learn how medical providers can defend against malware with a cyber security "Rx" that supports a healthy technology adoption plan for every healthcare organization.

Tackle projects and never again get stuck behind a technical roadblock.
Join Now